summaryrefslogtreecommitdiffstats
path: root/source/l/akonadi/akonadi.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/akonadi/akonadi.SlackBuild')
-rwxr-xr-xsource/l/akonadi/akonadi.SlackBuild20
1 files changed, 17 insertions, 3 deletions
diff --git a/source/l/akonadi/akonadi.SlackBuild b/source/l/akonadi/akonadi.SlackBuild
index 83a6b0a20..2f0fbe4db 100755
--- a/source/l/akonadi/akonadi.SlackBuild
+++ b/source/l/akonadi/akonadi.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for akonadi
# Copyright 2008 Robby Workman, Northport, Alabama, USA
-# Copyright 2008, 2009, 2010, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=akonadi
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-9}
NUMJOBS=${NUMJOBS:--j7}
@@ -42,6 +43,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -59,7 +68,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -76,6 +84,12 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Update mysql configuration
+zcat $CWD/mysql-global.conf.patch.gz | patch -p1 --verbose || exit 1
+
+# Work around problems with MariaDB 10.2
+zcat $CWD/akonadi-mariadb-10.2.patch.gz | patch -p1 --verbose || exit 1
+
# If we do not specify the correct QT_PLUGINS_DIR, then the application
# decides on using $QT4DIR/qt4/plugins instead.
mkdir -p build